local f = CreateFrame("Frame")
local copper
local silver
local gold

f:RegisterEvent("MERCHANT_SHOW")

f:SetScript("OnEvent", function(self, event, ...)
	canRepair = CanMerchantRepair()

	if canRepair == 1 then
		local repairCost = GetRepairAllCost()
		local gold = floor(repairCost / 10000)
		local silver = floor((repairCost - (gold * 10000)) / 100)
		local copper = mod(repairCost, 100)
		
		--local cost = format("%i|cffffd700g|r %i|cffc7c7cfs|r %i|cffeda55fc|r", gold, silver, copper)
		local cost = GetCoinTextureString(repairCost)
		if GetMoney() > repairCost then
			RepairAllItems()
			DEFAULT_CHAT_FRAME:AddMessage("Repaired all items for the cost of "..cost)
		else
			local neededFunds = repairCost - GetMoney()
			DEFAULT_CHAT_FRAME:AddMessage("Can't repair items. Need "..neededFunds)
		end
	end
end)